# version-checker

![Version: v0.5.2](https://img.shields.io/badge/Version-v0.5.2-informational?style=flat-square) ![AppVersion: v0.5.2](https://img.shields.io/badge/AppVersion-v0.5.2-informational?style=flat-square)

A Helm chart for version-checker

**Homepage:** <https://github.com/jetstack/version-checker>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| davidcollom |  |  |

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| acr | object | `{"password":null,"refreshToken":null,"username":null}` | Azure Container Registry Credentials Configuration |
| acr.password | string | `nil` |  |
| acr.refreshToken | string | `nil` |  |
| acr.username | string | `nil` |  |
| additionalAnnotations | object | `{}` |  |
| additionalLabels | object | `{}` |  |
| docker.password | string | `nil` |  |
| docker.token | string | `nil` |  |
| docker.username | string | `nil` |  |
| ecr.accessKeyID | string | `nil` |  |
| ecr.iamRoleArn | string | `nil` | Provide AWS EKS Iam Role ARN following: [Specify A ServiceAccount Role](https://docs.aws.amazon.com/eks/latest/userguide/specify-service-account-role.html) |
| ecr.secretAccessKey | string | `nil` |  |
| ecr.sessionToken | string | `nil` |  |
| env | object | `{}` | Can be used to provide custom environment variables e.g. proxy settings |
| gcr.token | string | `nil` |  |
| ghcr.token | string | `nil` |  |
| image.pullPolicy | string | `"IfNotPresent"` | Set the Image Pull Policy |
| image.repository | string | `"quay.io/jetstack/version-checker"` |  |
| image.tag | string | `nil` | Override the chart version |
| livenessProbe | object | `{"enabled":true,"httpGet":{"path":"/readyz","port":8080},"initialDelaySeconds":3,"periodSeconds":3}` | Configure the healthcheck probe for version-checker |
| livenessProbe.enabled | bool | `true` | Enable/Disable the setting of a livenessProbe |
| nodeSelector | object | `{}` | Configure nodeSelector |
| prometheus | object | `{"enabled":false,"replicas":1,"serviceAccountName":"prometheus"}` | Prometheus Operator |
| prometheus.enabled | bool | `false` | Deploy a Prometheus-Operator Prometheus Object to collect version-checker metrics |
| prometheus.serviceAccountName | string | `"prometheus"` | ServiceAccount for new Prometheus Object |
| quay.token | string | `nil` |  |
| readinessProbe | object | `{"enabled":true,"httpGet":{"path":"/readyz","port":8080},"initialDelaySeconds":3,"periodSeconds":3}` | Configure the readiness probe for version-checker |
| readinessProbe.enabled | bool | `true` | Enable/Disable the setting of a readinessProbe |
| replicaCount | int | `1` | Replica Count for version-checker |
| resources | object | `{}` | Setup version-checkers resource requests/limits |
| selfhosted | []{name: "", host: "", username:"", password:"", token:""}] | `[]` | Setup a number of SelfHosted Repositories and their credentials |
| service | object | `{"annotations":{},"labels":{},"port":8080}` | Configure version-checkers Service |
| service.port | int | `8080` | Port to expose within the service |
| serviceMonitor | object | `{"additionalLabels":{},"enabled":false}` | Configure a Prometheus-Operator ServiceMonitor object |
| serviceMonitor.enabled | bool | `false` | Disable/Enable ServiceMonitor Object |
| tolerations | list | `[]` | Configure tolerations |
| versionChecker | object | `{"imageCacheTimeout":"30m","logLevel":"info","metricsServingAddress":"0.0.0.0:8080","testAllContainers":true}` | Configure version-checkers behaviour |
| versionChecker.imageCacheTimeout | string | `"30m"` | How long to hold on to image tags and their versions |
| versionChecker.logLevel | string | `"info"` | Configure version-checkers logging, valid options are: debug, info, warn, error, fatal, panic |
| versionChecker.metricsServingAddress | string | `"0.0.0.0:8080"` | Port/interface to which version-checker should bind too |
| versionChecker.testAllContainers | bool | `true` | Enable/Disable the requirement for an enable.version-checker.io annotation on pods. |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.13.1](https://github.com/norwoodj/helm-docs/releases/v1.13.1)
